#
# spec file for package python-pyxDamerauLevenshtein
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pyxDamerauLevenshtein
Version:        1.2
Release:        1.5
License:        BSD-3-Clause
Summary:        Damerau-Levenshtein (DL) edit distance algorithm for Python
Url:            https://github.com/gfairchild/pyxDamerauLevenshtein
Group:          Development/Languages/Python
Source:         pyxDamerauLevenshtein/pyxDamerauLevenshtein-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
pyxDamerauLevenshtein implements the Damerau-Levenshtein (DL) edit distance algorithm for Python in Cython for high performance.

Courtesy `Wikipedia <http://en.wikipedia.org/wiki/Damerau%E2%80%93Levenshtein_distance>`_:

In information theory and computer science, the Damerau-Levenshtein distance 
(named after Frederick J. Damerau and Vladimir I. Levenshtein) is a "distance"
(string metric) between two strings, i.e., finite sequence of symbols, given by
counting the minimum number of operations needed to transform one string into the
other, where an operation is defined as an insertion, deletion, or substitution
of a single character, or a transposition of two adjacent characters.

This implementation is based on `Michael Homer's pure Python implementation 
<http://mwh.geek.nz/2009/04/26/python-damerau-levenshtein-distance/>`_. 
It runs in ``O(N*M)`` time using ``O(M)`` space. It supports unicode characters.

For more information on pyxDamerauLevenshtein, visit the 
`GitHub project page <https://github.com/gfairchild/pyxDamerauLevenshtein>`_.

%prep
%setup -q -n pyxDamerauLevenshtein-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Sat Jan 10 2015 termim@gmail.com
- initial commit rev 1.2
